package com.me.common.ecs;

public class ComponentMapper<T extends Component> {

    private Engine engine;
    private ComponentType type;
    private Class<T> typeClass;

    public ComponentMapper(Engine engine, Class<T> typeClass) {
        this.engine = engine;
        this.type = ComponentType.getComponentType(typeClass);
        this.typeClass = typeClass;
    }

    public T get(Entity entity) {
        return typeClass.cast(engine.getEntityComponent(entity, type));
    }

}
